# 项目相关配置
ruoyi:
  # 名称
  name: YiQi
  # 版本
  version: 1.0.0
  # 版权年份
  copyrightYear: 2023
  # 实例演示开关
  demoEnabled: true
  # 文件路径 示例（ Windows配置D:/ruoyi/uploadPath，Linux配置 /home/ruoyi/uploadPath）
  profile: D:/ruoyi/uploadPath
  # 获取ip地址开关
  addressEnabled: false
  # 验证码类型 math 数组计算 char 字符验证
  captchaType: math
  env: dev
  baseUrl: https://yiqi-test.xhmiracle.com
  # 腾讯云存储地址
  cosBucket: ecloud-1301145955
  cosSecretId: AKIDKPEpiOgxjHYwc3JM7eXEfuwA9B2dfAxX
  cosSecretKey: WnrYwANM9h2mJbcbNvEIaeS0j42auISQ
  cosBaseUrl: https://ecloud-1301145955.cos.ap-shanghai.myqcloud.com


# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 9801
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 200
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100
  workId: 1
  datacenterId: 1

# 日志配置
logging:
  level:
    com.ruoyi: debug
    org.springframework: warn

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  # 环境 dev|test|prod
  profiles:
    #    active: @profileActive@
    active: dev
  # jackson时间格式化
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 500MB
      # 设置总上传的文件大小
      max-request-size: 1000MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 1800

# MyBatis配置
#mybatis:
#  # 搜索指定包别名
#  typeAliasesPackage: com.yiqi.**.domain
#  # 配置mapper的扫描，找到所有的mapper.xml映射文件
#  mapperLocations: classpath*:mapper/**/*Mapper.xml
#  # 加载全局的配置文件
#  configLocation: classpath:mybatis/mybatis-config.xml
mybatis-plus:
  type-aliases-package: com.yiqi.**.domain.**
  mapper-locations: classpath*:mapper/**/*.xml
  configuration:
    cache-enabled: true
  global-config:
    field-strategy: 0
# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: false
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

# 微信公众号
wx:
  miniapp:
    appId: wx10a9a1ca54e0aa75
    secret: c71983482b218ab5adaf8bccac6c4942
    publicAppid: wxb74fad4c5a538738
    publicSecret: fc571b42c90b6d476f66935dd05d011d
    token: token
    encodingAESKey: encodingAESKey
    apiAesSn: XX
    apiAesKey: XX
    apiRsaSn: XX
    apiRsaKeyPath: XX
    apiRsaKey: XX

oss:
  config:
    #类型 1：七牛  2：阿里云  3：腾讯云  4：本地
    type: 3
    qcloudDomain: https://ecloud-cdn.51sssd.com
    #腾讯云路径前缀
    qcloudPrefix:
    #腾讯云AppId
    qcloudAppId: 1301145955
    #腾讯云SecretId
    qcloudSecretId: AKIDKPEpiOgxjHYwc3JM7eXEfuwA9B2dfAxX
    #腾讯云SecretKey
    qcloudSecretKey: WnrYwANM9h2mJbcbNvEIaeS0j42auISQ
    #腾讯云BucketName
    qcloudBucketName: ecloud
    #腾讯云COS所属地区
    qcloudRegion: sh